import Client, { BatchService, SubBatchService } from 'pocketbase';
import type { SchemaDeclaration } from '../schema.js';
export declare class BatchServiceTS<TSchema extends SchemaDeclaration> extends BatchService {
    constructor(client: Client);
    collection<TName extends (keyof TSchema & string) | (string & {})>(collectionIdOrName: TName): SubBatchService;
}
